Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Multimedia]lilypond-2.19.80-r1 error emerge (Open)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
Eleazar Anzola
Veteran
Veteran


Joined: 17 Jul 2003
Posts: 1308
Location: Caracas / Venezuela

PostPosted: Tue Sep 24, 2019 10:28 am    Post subject: [Multimedia]lilypond-2.19.80-r1 error emerge (Open) Reply with quote

Buenos días estimados,

llevo varios días intentando emerger
Code:
[ebuild  N     ] media-sound/lilypond-2.19.80-r1::gentoo  USE="(guile2) -debug -emacs -profile -vim-syntax" PYTHON_TARGETS="python2_7" 0 KiB

pero ha sido imposible debido a un error que no logro solventar


Code:


checking for texindex... texindex
checking for epsf.tex... not found
checking for Cyrillic characters support in TeX... not found
checking for pngtopnm... no
checking for convert... no
checking for zip... zip
checking for rsync... rsync
configure: creating ./config.status
config.status: creating config.make
config.status: creating config.hh

WARNING: Please consider installing optional programs or files:  URW++ OTF fonts (download OTF files from 'http://git.ghostscript.com/?p=urw-core35-fonts.git;a=tree;hb=91edd6ece36e84a1c6d63a1cf63a1a6d84bd443a' and put them under '~/.local/share/fonts' etc., or use --with-urwotf-dir) extractpdfmark (Optionally using Ghostscript >= 9.20 together with Extract PDFmark can significantly reduce the disk space required for building the documentation and the final PDF files.) texi2html dblatex xelatex pdflatex epsf.tex lh CTAN package (texlive-lang-cyrillic or texlive-texmf-fonts) pngtopnm convert

ERROR: Please install required programs:  /usr/bin/fontforge >= 20110222 (installed: )

See INSTALL.txt for more information on how to build LilyPond

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-sound/lilypond-2.19.80-r1/work/lilypond-2.19.80/config.log
 * ERROR: media-sound/lilypond-2.19.80-r1::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  125:  Called src_configure
 *             environment, line 2589:  Called econf '--with-texgyre-dir=/usr/share/fonts/tex-gyre' '--disable-documentation' '--disable-optimising' '--disable-pipe' '--disable-debugging' '--enable-guile2' '--disable-profiling'
 *        phase-helpers.sh, line  681:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  112:  Called die
 * The specific snippet of code:
 *         die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-sound/lilypond-2.19.80-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-sound/lilypond-2.19.80-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/work/lilypond-2.19.80'
 * S: '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/work/lilypond-2.19.80'

>>> Failed to emerge media-sound/lilypond-2.19.80-r1, Log file:

>>>  '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/temp/build.log'

 * Messages for package media-sound/lilypond-2.19.80-r1:

 * ERROR: media-sound/lilypond-2.19.80-r1::gentoo failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  125:  Called src_configure
 *             environment, line 2589:  Called econf '--with-texgyre-dir=/usr/share/fonts/tex-gyre' '--disable-documentation' '--disable-optimising' '--disable-pipe' '--disable-debugging' '--enable-guile2' '--disable-profiling'
 *        phase-helpers.sh, line  681:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  112:  Called die
 * The specific snippet of code:
 *         die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-sound/lilypond-2.19.80-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-sound/lilypond-2.19.80-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/work/lilypond-2.19.80'
 * S: '/var/tmp/portage/media-sound/lilypond-2.19.80-r1/work/lilypond-2.19.80'



he echo el emerge de
Code:


[ebuild   R    ] media-gfx/fontforge-20190317-r2::gentoo  USE="X cairo gif gtk jpeg png python readline svg tiff unicode -test -truetype-debugger" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_5 -python3_7" PYTHON_TARGETS="python2_7 python3_6 -python3_5 -python3_7" 0 KiB



tal como se indica en parte del error, pero aun así persiste el error al hacer emerge de lilipond

Agradecido de antemano pido su valioso conocimiento para lograr alguna solución.
_________________
Salu2
Eleazar Anzola
Linux User : # 216232
__________________________________________
Por un foro ordenado y un buscador más útil:
[TEMA] Descripción problema (estado)
Back to top
View user's profile Send private message
fedeliallalinea
Moderator
Moderator


Joined: 08 Mar 2003
Posts: 25901
Location: here

PostPosted: Tue Sep 24, 2019 11:34 am    Post subject: Reply with quote

https://bugs.gentoo.org/681630
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum